package src.navi;

import java.util.ArrayList;

/**
 * Created by IntelliJ IDEA.
 * User: autexier
 * Date: 7.06.2011
 * Time: 09:54
 * To change this template use File | Settings | File Templates.
 */
public class WayPoint {
    String name;
    int x;
    int y;
    ArrayList<WPEdge> edges = new ArrayList<WPEdge>();

    public WayPoint(String n, int xpos, int ypos) {
        name = n;
        x = xpos;
        y = ypos;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    @Override
    public String toString() {
        return "WayPoint "+getName()+"("+getX()+","+getY()+")";
    }

    public WayPoint()
    {
    }



    public void setEdges(ArrayList<WPEdge> edges)
    {
        this.edges=edges;
    }

    public ArrayList<WPEdge> getEdges()
    {
        return edges;
    }

    public void addEdge(String target, String type)
    {
        edges.add(new WPEdge(target,type));
    }
}
