package src.test

/**
 * Created with IntelliJ IDEA.
 * User: dodi
 * Date: 19.09.12
 * Time: 10:42
 */

import java.io.{File, FileReader}
import src.ship.external.{Ontology2Scala, PathCoordination}
import src.ship.{NamedRole, OntologyParser}

object ReflectTest extends OntologyParser {
  def main(args: Array[String]) {
    parseAll(ontology, new FileReader(new File("examples/baall/transport6.ont"))) match {
      case NoSuccess(_, _) =>
      case Success(ont, in) =>
        val neighbours = Ontology2Scala.RoleEntriesAsList(ont, NamedRole("neighbour"))
        println(neighbours)
        val host = PathCoordination
        for (m <- host.getClass.getDeclaredMethods) {
          println(m.getName)
          if (m.getName.contentEquals("computeNewSchedule")) {
            println("method is " + m)
            val params: List[Object] = List(ont)
            println(params)
            val result = m.invoke(host, params: _*)
            println(result)
          }
        }
    }
  }
}
