package src.simple

import java.io.File
import scala.io.Source

/**
 * Created with IntelliJ IDEA.
 * User: dodi
 * Date: 25.09.12
 * Time: 16:38
 */
object SimpleParser {
  def getMenuLines(file: File): List[(String, String)] = {
    val lines = Source.fromFile(file).getLines().toList
    lines.flatMap (line =>
      line.split("->").toList.map (x => x.trim) match {
        case m :: c :: Nil => if (!m.equalsIgnoreCase("submenu")) List((m, c))
        else {
          val f = new File(c)
          if (f.exists() && f.canRead) getMenuLines(f)
          else List()
        }
        case c :: Nil => List((c, c))
        case _ => List()
      })
  }
}
