package src.test

import src.ship.Ontology
import src.ship.external.{Scala2Ontology, RouteComputation}

object RouteTest {
  def main(args: Array[String]) {
    // maybe there are problems when a point has no connections? check
    val points: List[String] = List[String]("kitchen", "livingroom", "bathroom")
    //var counter=0
    val cfun = Ontology(Nil, Nil, Nil)
    val neighbours: List[(String, String)] = List(("kitchen", "bathroom"), ("bathroom", "livingroom"), ("bathroom", "kitchen"), ("livingroom", "bathroom"))
    println(RouteComputation.computeAllRoutes("bathroom", points, neighbours))
    println(Scala2Ontology.list2Abox(RouteComputation.computeRoute("bathroom", "kitchen", points, neighbours), "", "route_rest", "route_next",
      "EmptyRoute", "NonEmptyRoute", cfun))
  }
}
